[TOC]

## Einführung 

Ultimate Screen Access (USA) verbindet den Open-Source-Bildschirmleser NVDA mit den leistungsstarken Vergrößerungsfunktionen von Windows 10. So entsteht ein sehr leistungsfähiges Paket, das in verschiedenen Situationen eine gute Lösung bieten kann.

## Systemanforderungen

Um USA erfolgreich nutzen zu können, gelten die folgenden Systemanforderungen:

* Windows 10 Version 1709 (Fall Creators Update) oder neuer (32-Bit und 64-Bit)
* Prozessor: i5 8250U, 11. Generation oder neuer wird empfohlen
* 4 GB Ram. 8 GB empfohlen
* 200 MB freier Festplattenspeicher, ohne Sprachsynthesizer
* Installierte Kopie von NVDA 2024.1 oder höher

## Installation

### NVDA

Wenn Sie NVDA noch nicht installiert haben, können Sie es von [nvaccess.org](http://www.nvaccess.org/) herunterladen. Auf der Download-Seite finden Sie den Link zur neuesten Version von NVDA. Durch das Ausführen der heruntergeladenen Datei wird eine temporäre Kopie von NVDA gestartet. Sie werden dann gefragt, ob Sie NVDA installieren, eine tragbare Kopie erstellen oder die temporäre Kopie weiterhin verwenden möchten. Wählen Sie "Installieren" und folgen Sie den weiteren Anweisungen auf dem Bildschirm.

### Ultimative Screen Access

USA wird als NVDA-Add-on geliefert. Die Installation erfolgt daher über den Punkt "Add-ons verwalten" unter Extras im NVDA-Menü. 

Im Dialogfeld "Add-ons verwalten" finden Sie eine Liste aller installierten Add-ons, die sich derzeit in Ihrem Benutzerkonfigurationsordner befinden. Für jedes Add-on werden der Paketname, der Status, die Version und der Autor angezeigt. Um ein zuvor erworbenes USA Add-on zu installieren, klicken Sie in diesem Fenster auf die Schaltfläche "Installieren". Anschließend wählen Sie die USA-Installationsdatei (eine Datei mit der Erweiterung "*.nvda-addon") aus. Sobald Sie auf die Schaltfläche "Öffnen" klicken, wird der Installationsvorgang gestartet.

Sobald die Installation beginnt, werden Sie von NVDA gefragt, ob Sie Ultimate Screen Access wirklich installieren möchten. Da die Funktionalität von Add-ons innerhalb von NVDA nicht eingeschränkt ist, was theoretisch bedeutet, dass der Zugriff auf Ihre persönlichen Daten sowie auf das gesamte System möglich ist, ist es wichtig, nur Add-ons zu installieren, denen Sie vertrauen. Mit anderen Worten: Installieren Sie nur eine Version von Ultimate Screen Access, die von Babbage stammt. Nach der Installation von USA muss NVDA neu gestartet werden, um das Add-on zu aktivieren. Ohne einen Neustart wird der Status "Installieren" für USA angezeigt.

## Verwendung
Für die Verwendung von NVDA verweisen wir auf das NVDA-Handbuch. Diese finden Sie im NVDA-Menü, das Sie durch Drücken der Tastenkombination NVDA+N oder durch Klicken auf das NVDA-Symbol in der Windows-Systemleiste aufrufen können. Wählen Sie dann im Menü "Hilfe" die Option "Benutzerhandbuch".

### USA Aktivieren

Wenn das USA NVDA-Add-on installiert ist, können Sie USA wie folgt aktivieren:

1. Öffnen Sie das NVDA-Menü.
2. Gehen Sie zu "Ultimate Screen Access"
3. Wählen Sie "USA aktivieren"

## USA-Einstellungen

Wenn USA aktiviert ist, können die folgenden Einstellungen in den USA "Schnelleinstellungen" oder im Tab "Visuelle Darstellung" der NVDA-Einstellungen geändert werden.

* **Aktivieren**: USA starten oder beenden
* **USA im Remote-Modus ausführen**: Wählen Sie, ob USA im Remote-Modus in einer Remote-Desktop-Umgebung ausgeführt werden soll und mit dem Client über Unicorn kommunizieren soll (nicht in der aktuellen Testversion unterstützt)
* **Schnelleinstellungen beim Start anzeigen**: Das Dialogfeld für die Schnelleinstellungen anzeigen, wenn USA gestartet wird
* **USA automatisch starten lassen**: Automatisch USA starten, wenn NVDA gestartet wird
* **Immer alle Bildschirme aktualisieren**: Alle Bildschirme immer aktualisieren, z. B. für eine flüssige Video-Wiedergabe auf einem sekundären Monitor, anstatt nur den aktuell aktiven Bildschirm zu aktualisieren. Diese Einstellung beinträchtigt die Gesamtleistung bei Verwendung mehrerer Bildschirme.
* **Ansichtseinstellungen-Selektor**: Bestimmt, ob die Position der Maus oder die Position des NVDA-Fokusobjekts entscheidend dafür ist, welche Fenstereinstellungen durch Tastenkombinationen angepasst werden.
* **Fadenkreuz-Einstellungen**:
    * **Fadenkreuz aktivieren**: Fadenkreuz aktivieren oder deaktivieren
    * **Farbe**: Fadenkreuzfarbe wählen
    * **Linienbreite**: Breite des Fadenkreuz einstellen
    * **Fadenkreuz-Lücke aktivieren**: Einen Radius um den Cursor aktivieren, in dem das Fadenkreuz nicht gezeichnet wird
    * **Lücke**: Definiert den Radius in Pixeln um den Cursor, in dem das Fadenkreuz nicht gezeichnet wird
    * **Totbereich**: Anzahl der Pixel-Distanz, die der Mauscursor sich bewegen darf, bevor das Fadenkreuz seine Position aktualisiert

### Highlighter Plus

Highlight Plus ist eine erweiterte Version des `Visuell Hervorheben`-Funktion von NVDA.

* **Highlighter Plus aktivieren**: Aktivieren oder deaktivieren Sie Highlighter Plus
* **Systemfokus hervorheben**: Hebt das aktuelle Systemfokusobjekt hervor
* **Navigatorobjekt hervorheben**: Hebt das aktuelle NVDA-Navigatorobjekt hervor
* **Browsemodusobjekt hervorheben**: Hebt die Position des NVDA-Browsermodus-Cursors hervor
* **Hervorhebungsstile verwalten**: Passen Sie die Farbe, Dicken den Rand und den Linienstil Rand des Hervorhebungsrechtecks für jeden Objekttyp an:
    * Fokus
    * Navigator
    * Fokus-Navigator
    * Browsemodus-Objekt

### Tracking-Einstellungen für USA

Die folgenden Optionen definieren, welchen Objekten das USA-Vergrößerungsfenster folgt:

* **Fokus folgen**
* **Vordergrund Fensterwechsel folgen**
* **Navigationsobjekt folgen**
* **Systemcursor folgen**
* **Cursor im Browse-Modus folgen**
* **Lesecursor folgen**
* **Mauscursor folgen**

Das Tracking kann weiter angepasst werden:

* **Tracking-Grenze**: Wählen Sie, für jeden der obigen Tracking-Kontexte die Grenzen in denen sich das verfolgte Objekt befinden darf, ohne dass sich das Vergrößerungsfenster bewegt
    * **Zentriert**: USA wird immer versuchen, den Fokus so weit wie möglich in der Mitte des Vergrößerungsfensters anzuzeigen, es sei denn, das Element, das den Fokus hat, befindet sich am Rand des Bildschirms.
    * **Prozentsatz**: Bei z.B. 25%, wird USA versuchen, den Systemfokus immer innerhalb von 25% der Ränder des Vergrößerungsfensters anzuzeigen.
    * **Uneingeschränkt** USA wird immer versuchen, den Fokus auf dem Vergrößerungsfenster zu platzieren, aber es gibt keine Einschränkungen für die Position, an der der Fokus letztendlich platziert wird.
    * **Relativ**: USA versucht den Fokus in dem Vergrößerungsfensters an der selben relativen Position anzuzeigen, an welcher er auf dem unvergrößerten Bildschirm ist. Wenn sich ein Knopf oder Eingabefeld bei 25% des linken und oberen Randes auf einem unvergrößerten Bildschirm befinden würde, versucht USA, das Element an derselben Position in dem Vergrößerungsfensters zu platzieren.
    * **Genauso wie Fokus**: Für diesen Kontext wird die gleiche Grenze wie für den Fokus-Kontext benutzt.

* **Tracking-Orientierung**: Wählen Sie mit welcher Orientierung USA Objekten folgt
    * **Links**
    * **Zentriert**

### Weitere Einstellunge

* **Objektlesemodus aktivieren**: Deaktiviert die standardmäßige NVDA-Bildschirmlesestimme und aktiviert eine Tastenkombination (NVDA + Alt + R), die das Objekt unter der aktuellen Cursorposition vorliest
* **Folgen der Wörter im kontinuierlichen Lesemodus aktivieren**: USA folgt dem Text während des kontinuierlichen Lesemodus. Der kontinuierliche Lesemodus kann mit NVDA + Pfeil nach unten oder NVDA + A aktiviert werden
* **Lässt den Cursor im kontinuierlichen Lesemodus mit den gelesenen Wörtern springen.**: Aktualisiert die NVDA-Cusor-Position, während Wörter im kontinuierlichen Lesemodus gelesen werden
* **Hervorhebung von Wörtern im kontinuierlichen Lesemodus aktivieren**: Aktiviert das Hervorheben der Wörter im kontinuierlichen Lesemodus durch ein Rechteck
* **Farbe des Wortverfolgungs-Rechtecks**: Wählen Sie eine Farbe für die Wortmarkierung im kontinuierlichen Lesemodus
* **Dicke des Wortverfolgungs-Rechtecks**: Legen Sie die Rechteckdicke für die Wortmarkierung im kontinuierlichen Lesemodus fest
* **System-Cursor folgen**: Folgt der NVDA-Cursor-Position mit dem USA-Vergrößerungsfokus
* **Bitmap-Glättung aktivieren**: Aktivieren Sie die Bitmap-Glättung. Diese Einstellung verbessert in den meisten Fällen die Qualität des Textes.
In der Situation, in der diese Option deaktiviert ist, wird der Inhalt des Bildschirms Pixel-für-Pixel vergrößert.
Wenn diese Option aktiviert ist, versucht die Software, die Kanten von Bildern und Buchstaben zu glätten, um ein natürlicheres Ergebnis zu erzeugen.
* **Sanfte Vergrößerung**: Vergrößerungsstufe sanft erhöhen oder verringern
* **Wie sanft sich das Bild bei Vergrößerung und Bewegungen auf dem Bildschirm bewegt**: Geschwindigkeit, mit der der Vergrößerungsfokus dem aktuell ausgewählten Objekt folgt, sowie die Geschwindigkeit der sanften Vergrößerung
* **Von USA definierte, feste Vergrößerungsstufen verwenden**: Verwenden Sie feste Stufen für Vergrößerungsveränderungen
* **Stufenabstand**: Alternativer Vergrößerungsstufenabstand, wenn feste Stufen deaktiviert sind. Dies definiert die Änderung der Vergrößerung, die USA pro Schritt anwendet. Bei 0,1 wird das Bild mit jedem Vergrößerungsschritt um 10% größer.
* **Angedockt und Keine-Vergrößerung Modi aktivieren**: Macht die Modi "Keine" und "Angedockt" in der Vergrößerungsmodus-Liste auswählbar. Dies erfordert einen Neustart von NVDA und resultiert in dem zusätzlichen Anzeigen des unvergrößerten Mauszeigers.
* **Anzupassender Bildschirm**: Wählen Sie für welchen Bildschirm die Einstellungen angepasst werden sollen. Dies gilt für die folgenden Vergrößerungs- und Farbschemaeinstellungen.
* **Vergrößerungsmodus**: Wählen Sie den Vergrößerungsmodus für den ausgewählten Bildschirm. Verfügbare Modi sind:
    * **Keine**: Keine Vergrößerung
    * **Pro Bildschirm**: Vollbildvergrößerung für den ausgewählten Bildschirm
    * **Geteilt**: Horizontale oder vertikale Teilung des Bildschirms. Eine Seite ist vergrößert, während die andere Seite den unvergrößerten Bildschirm zeigt
    * **Angedockt**: Ein angedocktes Fenster mit fester Größe und Position, das den vergrößerten Bereich um die aktuelle Cursorposition anzeigt
    * **Linse**: Ein Linsenfenster, das der Cursorposition folgt und den vergrößerten Bereich um die aktuelle Cursorposition anzeigt
    * **Größenanpassende Linse**: Gleiches Verhalten wie im Linsen-Modus, aber das Fenster passt sich zusätzlich der Form des aktuell ausgewählten Elements an. Dieser Modus sollte in Verbindung mit der NVDA-Navigation über den Fokus- oder Browsermodus verwendet werden
    * **Kamera**: Nur eine Hälfte des Bildschirms ist vergrößert. Dieser Modus sollte in Verbindung mit dem Cam-Viewer verwendet werden, einer Anwendung zum Anzeigen einer mit dem System verbundenen Kamera mit eigenen Vergrößerungs- und Farbschemaeinstellungen
* **Vergrößerungsstufe**: Die Vergrößerungsstufe des ausgewählten Bildschirms
* **Farbschema**: Das Farbschema des ausgewählten Bildschirms
* **Helligkeit aller Farbschemas**: Modifiziert die Helligkeit aller Farbschemas
* **Farbschemas auswählen**: Liste der Farbschemas, die auswählbar sein sollen
* **Benutzerdefiniertes Farbschema verwalten**: Erstellen Sie ein benutzerdefiniertes Farbschema. Diese Einstellung ist nur verfügbar, wenn das benutzerdefinierte Farbschema in der obigen Farbschemaliste aktiviert ist.

## Anderes Funktionen und Einstellungen

### Cam-Viewer

Der Cam-Viewer ist eine Anwendung, die es ermöglicht Bilder von einer Webcam anzuzeigen. Er bietet Zoom, sowie verschiedene Farbänderungsoptionen.
Der Cam-Viewer ist in USA integriert, sodass USA seine Einstellungen konfigurieren und ihn über USA-Tastenkombination starten und stoppen kann.

* **Kameraauswahl**: Wählen Sie die Kamera, die der Cam-Viewer anzeigen soll
* **Cam-Viewer Graustufen**: Graustufen im Cam-Viewer umschalten
* **Cam-Viewer Invertiert**: Umgekehrte/negative Bildanzeige im Cam-Viewer umschalten
* **Cam-Viewer Helligkeit**: Helligkeit im Cam-Viewer einstellen. Null ist der Standardwert
* **Cam-Viewer Kontrast**: Kontrast im Cam-Viewer einstellen. Null ist der Standardwert
* **Cam-Viewer Farbverschiebung**: Farbverschiebung im Cam-Viewer einstellen: Schwarz ist der Standardwert

### A4U ReadAble

Der A4U ReadAble erleichtert den Zugriff auf und die Anzeige von visuellen Inhalten. Derzeit werden nur Webseiten unterstützt.
Seine Funktionen umfassen:

* Reduzierung der Komplexität des angezeigten Inhalts
* Anpassung von Text, Farbe und Schriftart
* Verschiedene Textlese- und Anzeige-Modi

Der A4U ReadAble kann über einen USA-Tastenkombination gestartet werden. Wenn ein Webbrowser das aktuelle Vordergrundfenster ist, wird die derzeit angezeigte Webseite im A4U ReadAble geöffnet.

### Der USA Rotor:

* Bietet eine einfache und intuitive Möglichkeit, auf die wichtigsten Einstellungen mit nur zwei Tastenkombinationen zuzugreifen
* Drei verschiedene Modifikationsmodi, navigierbar mit NVDA + Alt + Bild hoch/runter:
    * **Allgemeine Einstellungen**: Vergrößerungsstufe erhöhen und verringern, durch Farbschema- und Vergrößerungsmodusoptionen wechseln
    * **Fenstergröße ändern**: Docked/Linsen-Vergrößerungsfenster ändern, geteilte Vergrößerungsfenstergrenze verschieben
    * **Fenster verschieben**: Docked/Linsen-Vergrößerungsfenster verschieben
* Im Modus "Allgemeine Einstellungen":
    * **NVDA + Alt + Pfeil nach links/rechts**: Durch die Einstellungen navigieren
    * **NVDA + Alt + Pfeil nach oben/unten**: Vergrößerungsstufe erhöhen/verringern oder durch Optionen der ausgewählten Einstellung wechseln
* Im Modus "Fenstergröße ändern" oder "Fenster verschieben":
    * **NVDA + Alt + Pfeiltasten**: Docked/Linsenfenster ändern oder die geteilte Grenze verschieben

### Vergrößerungsfenster Anpassung

* Tastenkombination um die Größe und Position der Vergrößerungsfenster anzupassen: **NVDA + Steuerung + Alt + Pfeiltasten**
* Verschiedene Funktionalität, je nach aktivem Vergrößerungsmodus:
    * Geteilt: Bewegen der Grenze zwischen den geteilten Fenstern
    * Angedockt, Linse und Größenanpassende Linse:
        * Im **Bearbeitungsmodus der Vergrößerungsfenster-Position (NVDA + Alt + P)**: Das Fenster bewegen
        * Im **Bearbeitungsmodus der Vergrößerungsfenster-Größe (NVDA + Steuerung + Alt + R)**: Die Größe des Fensters anpassen

## USA-Lizenz
Um die USA zu nutzen, benötigen Sie einen gültigen Lizenzcode. Jeder Lizenzschlüssel kann für die Aktivierung der USA bis zu dreimal verwendet werden.

Wenn Sie einen gültigen Lizenzcode haben, können Sie ihn eingeben, indem Sie die Option `USA-Lizenz verwalten...` in den USA-Einstellungen auswählen, die sich im Tab `Visuelle Darstellung` der NVDA-Einstellungen befindet.
Geben Sie in diesem Fenster einfach den Lizenzcode ein und wählen Sie OK, wonach die Lizenz aktiviert wird. Die Lizenz kann auch mit derselben Methode deaktiviert werden, beispielsweise wenn USA vom Computer entfernt werden soll.

### Offline-Aktivierung

USA bietet auch eine Offline-Aktivierung an. Dies ermöglicht es dem Benutzer, einen Aktivierungscode über <support@babbage.com> unter Verwendung der Instanz-ID und des Lizenzcodes anzufordern. Dadurch kann USA verwendet werden, ohne dass eine Internetverbindung erforderlich ist, um die Lizenz zu überprüfen.

## Tastenkombinationen

Innerhalb von USA existieren spezifische Tastenkombinationen, um die Funktionalität anzupassen.

Die Tastenkombinationen können über das NVDA-Menü angepasst werden. Wählen Sie "Optionen" und dann "Tastenbefehle...". Die USA-Tastenkombinationen sind dann unter der Kategorie "Ultimate Screen Access" zu finden.
Für weitere Informationen zur Bedienung des Dialogfelds "Tastenbefehle" konsultieren Sie bitte das NVDA-Handbuch.

Um eine stets aktuelle Version der Tastenkombinationsliste zu erhalten, nutzen Sie die Funktion `NVDA-Menü -> Ultimate Screen Access -> Tastenkombinationen-Liste`. Dies erstellt ein HTML-Dokument, welches eine Liste aller unterstützten Tastenkombinationen enthält und es in Ihrem Standard-Webbrowser öffnet. Diese Liste enthalt auch alle Tastenkombinationen von NVDA. Wenn eine Funktionalität mehr als 3 Tastenkombinationen besitzt, werden nur die ersten drei Tastenkombinationen in die Liste aufgenommen. Des weiteren sind Schnellzugriffe für Touchscreens nicht in der Liste enthalten, außer in dem Absatz "Touchscreen".

USA Tastenkombinationen mit komplexer Funktionalität, wie z.B. die USA Rotor- oder die "Vergrößerungsfenster Anpassung"-Tastenkombinationen, sind genauer in dem Abschnitt "Andere Funktionen und Einstellungen" in diesem Dokument erklärt.

## Einschränkungen und bekannte Probleme

Ultimate Screen Access ist ein Produkt, das kontinuierlich weiterentwickelt wird. Daher kann es sein, dass einige gewünschte Funktionen im Produkt (noch) nicht vorhanden sind. Bei der Verwendung von USA sollten Sie die folgenden bekannten Einschränkungen berücksichtigen:

* Das gleichzeitige Aktivieren des Split-Modus auf zwei oder mehr Bildschirmen beeinträchtigt spürbar die Leistung und Reaktionszeit auf Eingaben
* Das Aktivieren von `Immer alle Bildschirme aktualisieren` beeinträchtigt spürbar die Leistung bei der Benutzung mit mehreren Bildschirmen
