# Ultimate Screen Access

## Introduction

Ultimate Screen Access (USA) combines the open source NVDA screen reader with the powerful magnification capabilities of Windows 10. This creates a very powerful package that can provide a good solution in various situations.

## System Requirements

To successfully use USA, the following system requirements apply:

* Windows 10 version 1709 (Fall Creators Update) or later (32-bit and 64-bit)
* Processor: i5 8250U, 11th Generation or newer is recommended
* 4 GB Ram. 8 GB recommended
* 200 MB free hard drive space, excluding speech synthesizer
* Installed copy of NVDA 2024.1 or later

## Installation

### NVDA

If you do not have NVDA yet, you can download it from [nvaccess.org](http://www.nvaccess.org/). On the download page you will find the link to the latest version of NVDA. By running the downloaded file, a temporary copy of NVDA is started. You will then be asked whether you want to install NVDA, create a portable copy or continue using the temporary copy. Choose install and follow the further instructions on the screen.

### USA Addon

USA is delivered as an NVDA add-on (expansion package). Installation is therefore done via the item "Manage Add-ons" under Extra in the NVDA menu.

In the "Manage Add-ons" dialog box you will find a list of all installed Add-ons that are currently in your user configuration folder. The package name, status, version and author of each Add-on are displayed. To install a previously obtained USA Add-on, press the "Install" button in this window. You then look for the USA installation file (a file with the extension "*.nvda-addon"). As soon as you press the "Open" button, the installation procedure will begin.

At the start of the installation, NVDA will ask if you really want to install Ultimate Screen Access. Since the functionality of Add-ons within NVDA is not restricted, which in theory means that access is gained to your personal data as well as the entire system, it is important to only install Add-ons that you trust with the installed version of NVDA. In other words, only install a version of Ultimate Screen Access that comes from Babbage. Once USA has been installed, NVDA must be restarted to activate the Add-on. Without a restart, the status "Installing" will be displayed for USA.

## Usage

For the use of NVDA, we refer to the NVDA manual. This can be found in the NVDA menu, which can be opened by pressing NVDA+N or clicking the NVDA icon in the Windows system tray. Then, in the "Help" menu, you can select "User Manual".

### Enable USA

When the USA NVDA add-on is installed, USA can be enabled as follows.

1. Open the NVDA menu
2. Go to "Ultimate Screen Access"
3. Select "Enable USA"

## USA Settings

When USA is enabled, the following settings can be changed in USA's "Quick Settings" or in the "Visual" tab of the NVDA settings.

* **Enable**: Start or terminate USA
* **Run USA in Remote mode**: Select whether USA runs in Remote mode in a remote desktop environment and should communicate with the client via unicorn (not supported in the current test version)
* **Show quick settings on startup**: Display the quick settings dialog when USA is started
* **Auto-start USA on NVDA start**: Automatically start when NVDA is started
* **Always update all screens**: Always update all screens, for example for smooth video playback on a secondary monitor instead of keeping only the currently active screen updated. This setting decreases the overall performance when used with multiple screens.
* **View settings capturer**: Determines whether the position of the mouse or the position of the NVDA focus object is decisive for which window settings are adjusted by key combinations 
* **Crosshair Settings**:
    * **Enable crosshair**: Enable or disable crosshair
    * **Color**: Choose crosshair color
    * **Line width**: Width of the crosshair line
    * **Enable gap**: Enable a radius around the cursor in which the crosshair is not drawn
    * **Gap**: Defines the radius in pixels around the cursor in which the crosshair is not drawn
    * **Dead zone**: Amount of pixel distance the mouse is allowed to move before the crosshair updates its position

### Highlighter Plus

Highlighter Plus is an advanced version of the Visual Highlighter of NVDA.

* **Enable Highlighter Plus**: Enable or disable Highlighter Plus
* **Highlight system focus**: Highlight the current system focus object
* **Highlight navigator object**: Highlight the current NVDA navigator object
* **Highlight browse mode cursor**: Highlight the NVDA browse mode cursor position
* **Manage Highlighter styles**: Adjust the color, thickness, margin and line style of the highlight rectangle for each object type:
    * Focus
    * Navigator
    * Focus Navigator
    * Browse Mode cursor

### Tracking settings

The following options decide which objects the USA magnification window will follow:

* **Track to focus**
* **Track to foreground window change**
* **Track to navigator object**
* **Track to system caret**
* **Track to browse mode cursor**
* **Track to review cursor**
* **Track to mouse cursor**

The tracking can be further customized:

* **Tracking boundary**: For each of the above tracking contexts, choose the boundary within which the tracked object can be positioned without adjusting the magnification window
    * **Centered on screen**: USA will always try to display the focus as much as possible in the center of the magnification window, unless the item that has the focus is on the edge of the screen.
    * **Percentage**: Within the screen edges, such as 25%, USA will try to always display the system focus within 25% of the edges of the magnification window.
    * **Unrestricted**: USA will always try to place the focus inside the magnification window, but there are no restrictions on the position where the focus is ultimately located.
    * **Relative**: USA tries to display the focus in the magnified reality at the same position as it is in the unmagnified reality. If a button or input field would be located at 25% of the left and top edge on an unmagnified screen, USA tries to place the element in the same position in the magnified reality.
    * **Same as focus**: The context uses the same tracking boundary as the focus context.

* **Tracking alignment**: Choose with which alignment USA is following objects
    * **Left**
    * **Center**

### Other settings

* **Activate Object Reader mode**: Deactivates the default NVDA screen reading voice and activates a shortcut (NVDA + Alt + R) that reads out the object below the current mouse cursor position
* **Enable following of words in continuous reading mode**: USA is following the text during continuous reading mode. Continuous reading mode can be enabled with NVDA + down arrow or NVDA + A
* **Let the caret jump with the read words in continuous reading mode**: Update the NVDA Caret position as words get read in continuous reading mode
* **Enable highlighting of words in continuous reading mode**: Highlight the words with a rectangle in continuous reading mode
* **Word Follower rectangle color**: Select a color for word highlighting in continuous reading mode
* **Word Follower rectangle thickness**: Set the rectangle thickness for words highlighting in continuous reading mode
* **Follow caret**: Follow the NVDA caret position with the USA magnification focus
* **Enable bitmap smoothing**: Enable bitmap smoothing. This setting will improve the quality of text in most cases.
In the situation where this option is disabled, the content of the screen is literally magnified.
When this option is enabled, the software tries to smooth out the edges of images and letters to present a more natural result.
* **Smooth magnification**: Increase or decrease magnification level smoothly
* **How smooth the screen moves when zooming or panning**: Speed of magnification focus following the currently selected object, as well as speed of smooth magnification
* **Let USA set the magnification level by fixed levels**: Use fixed levels for magnification increases
* **Step level**: Alternative magnification increase level if fixed levels are disabled. This defines the size of the magnification that USA applies per step. At 0.1, the image becomes 10% larger with each magnification step.
* **Enable Docked and No Magnifier mode (requires restart)**: Enables the selection of the Docked and No Magnifier mode. Enabling this setting requires a restart of NVDA and will result in the unmagnified system cursor being shown alongside the magnified system cursor.
* **Adjusted screen**: Select the screen for which the settings should be adjusted. Applies to the following magnification and color scheme settings
* **Magnifier mode**: Select the magnifier mode for the selected window/screen. Available modes are:
    * **None**: no magnification
    * **Per screen**: full-screen magnification for the selected screen
    * **Split**: Horizontal or vertical split of the screen. One side is magnified, while the other side shows the unmagnified screen
    * **Docked**: A docked window of fixed size and position, showing the magnified area around the current cursor position
    * **Lens**: A lens window, following the cursor position, showing the magnified area around the current cursor position
    * **Resizing lens**: Same as Lens, but the window resizes to the shape of the currently selected item. This mode should be used in conjunction with NVDA navigation via focus or browse mode
    * **Camera**: Only one half of the screen is magnified. This mode should be used in conjunction with the Cam-Viewer, an application to view a camera connected to the system with its own magnification and color scheme settings
* **Magnification level**: The magnification level of the selected screen
* **Color scheme**: The color scheme of the selected screen
* **Brightness for all color schemes**: Adjusts the brightness for all color schemes
* **Select color schemes**: List of color schemes that should be selectable
* **Manage custom color scheme**: Create a custom color scheme. This setting is only available if the custom color scheme is activated in the above color scheme list

## Other Features and Settings

### Cam-Viewer

The Cam-Viewer is an application that allows to capture images from a webcam. It offers zoom as well as various color modification options.
The Cam-Viewer is integrated into USA, allowing USA to configure its settings and start and stop it via USA shortcuts.

* **Camera selection**: Select the camera which the Cam-Viewer should be displaying
* **Cam-Viewer grayscale**: Toggle grayscale on the Cam-Viewer
* **Cam-Viewer inverse**: Toggle inverted/negative image display on the Cam-Viewer
* **Cam-Viewer brightness**: Set the brightness on the Cam-Viewer. Zero is the default
* **Cam-Viewer contrast**: Set the contrast on the Cam-Viewer. Zero is the default
* **Cam-Viewer color offset**: Set the color offset on the Cam-Viewer: Black is the default


### A4U ReadAble

The A4U ReadAble makes it easier to access and view visual content. Currently only webpages are supported.
Its functionality include:

* Reduction of complexity of the displayed content
* Text, color and font customization
* Different text reading and display modes

The A4U ReadAble can be started via a USA shortcut. If a webbrowser is the current foreground window, the currently displayed website is opened inside the A4U ReadAble.

### The USA Rotor

* Offers an easy and intuitive way to access the most important settings using only two shortcut key combinations
* Three different modification modes, navigable using Page Up/Down:
    * **General Settings**: Increase and decrease the magnification level, cycle through color scheme and magnifier mode options
    * **Resize Window**: Resize the docked/lens magnifier window, move split magnifier border
    * **Move Window**: Move the docked/lens magnifier window
* In General Settings mode:
    * **NVDA + Alt + Left/Right Arrow Keys**: Navigate through the settings
    * **NVDA + Alt + Up/Down Arrow Keys**: Increase/Decrease magnification level, cycle through options of selected setting
* In Resize or Move Window mode:
    * **NVDA + Alt + Arrow Keys**: Resize or move the docked/lens window or move the split border

### Magnification Window Modification

* Shortcut to modify the size and position of the magnification windows: **NVDA + Control + Alt + Arrow Keys**
* Different behaviour depending on the active magnifier mode:
    * Split: Move the split border
    * Docked, Lens and Resizing Lens:
        * In **Position Edit Mode (NVDA + Alt + P)**: Move the window
        * In **Size Edit Mode (NVDA + Control + Alt + R)**: Resize the window

## USA license

To use USA you need a valid license code. It is possible to activate USA up to three times per license code.

If you have a valid license code, you can enter it by selecting the option `Manage USA license...` in the USA Settings, located in the `Vision` tab of the NVDA settings.
In this window, simply enter the license code and select OK, after which the license will be activated. The license can also be deactivated using the same method, for example if it is desired to remove USA from the computer.

### Offline Activation

USA also offers offline activation. This allows the user to request an activation code via <support@babbage.com> using the instance ID and the license code. This allows USA to be used without requiring an internet connection to check the license.n

## Shortcuts

Within USA, specific shortcuts are assigned to adjust the functionality.

The shortcuts can be adjusted via the NVDA menu. Select "Options" and then "Input Gestures". The USA shortcuts can then be found under the category "Ultimate Screen Access".
For more information about the operation of the "Input Gestures" dialog, please refer to the NVDA manual.

To get an always up-to-date shortcut list, use the `NVDA-Menu -> Ultimate Screen Access -> Shortcut list` functionality. This creates a HTML document containing a list of all supported shortcuts and opens it in your default webbrowser. This list also contains all NVDA shortcuts. If one functionality has more than 3 shortcuts, the list only displays the first three. Further, touch gestures are excluded, with the exception of the "Touchscreen" section.

USA shortcuts with more complex functionalities, e.g. the USA Rotor or Magnification Window Modification shortcuts, are explained in more detail in the "Other Features and Settings" section of this document.

## Limitations and known issues

Ultimate Screen Access is a product that is continuously under development. As a result, some desired functionality may not (yet) be present in the product. When using USA, you should take the following known limitations into account:

* Having split mode on two or more screens activate at the same time noticeably degrades the performance and responsiveness
* Enabling `Always update all screens` noticeably degrades the performance
