# Ultimate Screen Access

## introductie

Ultimate Screen Access (USA) verbindt de open source NVDA schermlezer met de krachtige vergrotingsmogelijkheden die aanwezig zijn in Windows 10. Hierdoor ontstaat een zeer krachtig pakket dat in diverse situaties een goede oplossing kan bieden.

## Systeemvereisten

Om USA met succes te kunnen gebruiken, zijn de volgende systeemvereisten van toepassing:

* Windows 10 versie 1709 (Fall Creators Update) of nieuwer (32-bit en 64-bit)
* Processor: i5 8250U, 11e generatie of nieuwe is aangeraden
* 4 GB Ram. 8 GB aanbevolen
* 200MB vrije ruimte op de harde schijf, exclusief spraaksynthesizer
* GeÏnstalleerde kopie van NVDA 2024.1 of nieuwer

## Installatie

### NVDA

N.B. Om Ultimate Screen Access met succes te kunnen gebruiken, is het nodig om gebruik te maken van een geïnstalleerde versie van NVDA.
In een draagbare versie van NVDA (bijvoorbeeld vanaf USB-stick) zal de muis niet juist functioneren wanneer het scherm vergroot is.

Als je nog niet beschikt over NVDA, kun je het downloaden van [nvaccess.org](http://www.nvaccess.org/). Op de downloadpagina vind je de link naar de nieuwste versie van NVDA. Door het gedownloade bestand uit te voeren, wordt er een tijdelijke kopie van NVDA gestart. Vervolgens word je gevraagd of je NVDA wilt installeren, een draagbare kopie wilt aanmaken of de tijdelijke kopie wilt blijven gebruiken. Kies hierbij voor installeren en volg de verdere instructies op het scherm.

### USA Addon

USA wordt geleverd als een NVDA add-on (uitbreidingspakket). Installatie vindt dan ook plaats via het item "Add-ons Beheren" onder Extra in het NVDA menu.

In het dialoogvenster "Add-ons Beheren" vind je een lijst met alle geïnstalleerde Add-ons die op het moment in je gebruikersconfiguratiemap staan. Van elke Add-on wordt de pakketnaam, status, versie en auteur weergegeven. Om een eerder verkregen USA Add-on te installeren druk je in dit venster op de knop "Installeren". Je zoekt vervolgens het installatiebestand van USA op (een bestand met de extensie "*.nvda-addon"). Zodra je op de knop "Openen" drukt, zal de installatieprocedure beginnen.

Bij aanvang van de installatie zal NVDA vragen of je Ultimate Screen Access daadwerkelijk wilt installeren. Aangezien de functionaliteit van Add-ons binnen NVDA niet beperkt wordt, wat in theorie inhoudt dat toegang verkregen wordt tot je persoonlijke gegevens alsmede het gehele systeem, is het bij de geïnstalleerde versie van NVDA belangrijk alleen Add-ons te installeren waarvan je de herkomst vertrouwt. Met andere woorden, installeer alleen een versie van Ultimate Screen Access die afkomstig is van Babbage. Als USA eenmaal is geïnstalleerd, moet NVDA herstart worden om de Add-on te activeren. Zonder herstart zal voor USA de status "Installeren" worden weergegeven.

## Gebruik

Voor het gebruik van NVDA verwijzen we naar de NVDA handleiding. Deze is te vinden in het NVDA-menu, dat geopend kan worden door het indrukken van NVDA+N of het aanklikken van het NVDA icoon in de systeembalk van Windows. Vervolgens kan in het menu "Help" gekozen worden voor "Gebruikershandleiding".

### USA inschakelen

Wanneer de USA NVDA-addon geïnstalleerd is, kan USA als volgt worden ingeschakeld.

1. Open het NVDA-menu
2. Ga naar "Ultimate Screen Access"
3. selecteer "USA inschakelen"

## USA instellingen aanpassen

Wanneer USA is ingeschakeld, kan bij "simpele instellingen USA" of in het tabblad "Zicht" van de NVDA instellingen de volgende instellingen worden gewijzigd.

* **Inschakelen**: Start of beëindig USA.
* **Voer USA uit in Remote Mode (met Unicorn)**: Selecteer of USA in Remote Mode wordt uitgevoerd in een externe desktopomgeving en moet communiceren met de client via Unicorn (niet ondersteund in de huidige testversie).
* **Snellinstellingen weergeven tijdens opstarten**: Toon het snelle instellingenvenster bij opstarten.
* **Start USA met NVDA mee op**: Start USA automatisch met NVDA.
* **Altijd alle schermen bijwerken, verlaagt prestatie**: Altijd alle schermen bijwerken, bijvoorbeeld voor vloeiende videoweergave op een secundaire monitor, in plaats van alleen het actieve scherm bij te werken. Deze instelling verlaagt de algehele prestaties bij gebruik van meerdere schermen.
* **Beeldinstellingen kiezer** Kies waarmee de huidige beeld gekozen wordt. Op basis van muis positie of NVDA focus positie
* **Crosshair-instellingen**
    * **Crosshair inschakelen**: Crosshair in- en uitschakelen.
    * **Kleur**: Kies de kleur van de crosshair.
    * **lijn dikte**: De breedte van de crosshair
    * **Crosshair gat inschakelen**: Schakel een straal in/uit rondom de cursor waarbinnen het crosshair * iet    wordt weergegeven.
    * **Gat**: Definieer de straal in pixels waarin de crosshair niet wordt getekend.
    * **Dode zone**: Geef aan hoeveel pixels de muis moet bewegen voordat de crosshair opnieuw wordt geüpdatet.

### Highlighter Plus

Highlighter Plus is een verbeterd versie van de Visual Markeringen van NVDA.

* **Schakel Highlighter Plus aan**:  Visual Highlight Plus in- en uitschakelen.
* **Systeemfocus markeren**: Markeer het huidige object met systeemfocus.
* **Navigator object markeren**: Markeer het NVDA-navigatorobject.
* **Bladermodus cursor markeren**: Markeer de NVDA bladermoduscursorpositie
* **Beheer Highlighter Plus stijlen**: Pas kleur, dikte en marge aan voor markeringen van:
    * Focus
    * Navigator
    * Focus Navigator
    * Bladermodus cursor

### Instellingen voor volgen

De volgende opties bepalen welke objecten het USA-vergrotingsvenster zal volgen:

* **Volg de focus**
* **Volg voorgrondvensterverandering**
* **Volg het navigator object**
* **Volg de systeemcursor**
* **Volg de bladermoduscursor**
* **Volg leescursor**
* **Volg de muiscursor**

Het volgen kan verder aangepast worden:

* **Volgens randgrens**: Kies de grens waarbinnen het gevolgde object gepositioneerd kan worden zonder het vergrotingsvenster aan te passen.
    * **Gecentreerd op scherm**: USA zal altijd proberen de focus zo veel mogelijk in het midden van het vergrotingsvenster weer te geven, tenzij het item met de focus zich aan de rand van het scherm bevindt.
    * **Percentage**: Binnen de schermranden, zoals 25%, zal USA proberen de systeemfocus altijd binnen 25% van de randen van het vergrotingsvenster weer te geven.
    * **Onbeperkt**: USA zal altijd proberen de focus binnen het vergrotingsvenster te plaatsen, maar er zijn geen beperkingen voor de positie waar de focus uiteindelijk wordt weergegeven.
    * **Relatief**: USA probeert de focus in de vergrote weergave op dezelfde positie weer te geven als in de niet-vergrote weergave. Als een knop of invoerveld zich bijvoorbeeld op 25% van de linker* en bovenrand van een niet-vergroot scherm bevindt, probeert USA het element op dezelfde positie in de vergrote weergave te plaatsen.

* **Volg oriëntatie**: Kies met welke uitlijning USA objecten volgt
    * **Links**
    * **Gecentreerd**

### Overige instellingen

* **Activeer “Klik en lees”**: Deactiveer de standaard NVDA-schermleesstem en activeer een sneltoets (NVDA + Y) die het object onder de huidige cursorpositie voorleest.
* **Schakel woordvolger voor leesmodus aan**: Laat USA tekst volgen tijdens de continue leesmodus. Deze modus kan worden ingeschakeld met NVDA + pijltje omlaag of NVDA + A.
* **Tekstcursor laten meespringen als woordvolger ingeschakeld is**: Werk de NVDA-caretpositie bij naarmate woorden worden gelezen in continue leesmodus.
* **Schakel markering voor woordvolger aan**: Markeer woorden met een rechthoek in continue leesmodus.
* **Woordvolger omkaderingskleur**: Kies een kleur voor de markering van woorden in continue leesmodus.
* **Dikte van woordvolger-markering**: Stel de dikte in van de rechthoek die woorden markeert in continue leesmodus.
* **Volg de cursor**: Volg de NVDA-caretpositie met de USA-vergrotingsfocus.
* **Zachte randen rond afbeeldingen inschakelen om vergrotingskwaliteit te verbeteren**: Schakel Zachte randen in om de tekstkwaliteit van vergrote tekst te verbeteren.
* **Muisbegrenzing**: Kies de grenzen voor de muis binnen een vergrootvenster.
* **Vloeiende vergroting**: Verhoog of verlaag het vergrotingsniveau geleidelijk.
* **Scherm vloeiendheid bij vergroten of verplaatsen**: Snelheid van de vergrotingsfocus bij het volgen van het geselecteerde object, evenals de snelheid van vloeiende vergroting.
* **Stel de vergroting in met behulp van vaste vergrootfactors in plaats van relatieve stapgroottes**: Gebruik vaste niveaus voor vergrotingsstappen.
* **Vergrotingsstap grootte**: Alternatief vergrotingsniveau indien vaste niveaus zijn uitgeschakeld.
* **Zet docking en geen magnifier modus aan (vereist herstart)**: Maakt het mogelijk om de modi “Gedockt” en “Geen te selecteren. Het inschakelen van deze instelling vereist een herstart van NVDA en zorgt ervoor dat de niet-vergrote systeemcursor naast de vergrote systeemcursor wordt weergegeven.
* **Aangepast scherm**: Kies de instellingen voor welk venster/scherm moet worden aangepast. Dit geldt voor de volgende vergrotings- en kleurenschema-instellingen.
* **Vergroter modus**: Kies de vergrootglasmodus voor het geselecteerde venster/scherm. Beschikbare modi zijn:
    * **Geen**: Geen vergroting.
    * **Volledig scherm**: Volledige schermvergroting voor het geselecteerde scherm.
    * **Gesplitst**: Horizontale of verticale splitsing van het scherm. Eén zijde is vergroot, terwijl de andere zijde het niet-vergroten scherm toont.
    * **Gedockt**: Een gedockt venster van vaste grootte en positie, dat het vergrote gebied rond de huidige cursorpositie toont.
    * **Lens**: Een lensvenster dat de cursorpositie volgt en het vergrote gebied rond de huidige cursorpositie toont.
    * **Resizing-Lens**: Hetzelfde als Lens, maar het venster wordt aangepast aan de vorm van het momenteel geselecteerde item. Deze modus moet worden gebruikt in combinatie met NVDA-navigatie via focus- of bladermodus.
    * **Camera**: Slechts één helft van het scherm is vergroot. Deze modus moet worden gebruikt in combinatie met de Cam-Viewer, een applicatie om een camera verbonden met het systeem te bekijken met eigen vergrotings- en kleurenschema-instellingen.
* **Vergrotingsfactor**: Het vergrotingsniveau van het geselecteerde scherm.
* **Kleurenschema**: Het kleurenschema van het geselecteerde scherm.
* **Helderheid voor alle kleurenschemas (%)**: Helderheid voor alle kleurenschema aanpassen
* **Selecteer kleurenschema**: Lijst van kleurenschema's die selecteerbaar moeten zijn.

### Cam-Viewer
  * **Gekozen camera**: Selecteer de camera die de Cam-Viewer moet weergeven.
  * **Cam-Viewer grijswaarden**: Schakel grijswaarden in op de Cam-Viewer.
  * **Cam-Viewer omgekeerd**: Schakel om naar een negatief beeld in de Cam-Viewer.
  * **Cam-Viewer helderheid**: Stel de helderheid in op de Cam-Viewer.
  * **Cam-Viewer contrast**: Stel het contrast in op de Cam-Viewer.
  * **Cam-Viewer kleur offset**: Stel de kleur offset in op de Cam-Viewer.

## Andere functies en instellingen

### Cam-Viewer

De Cam-Viewer is een applicatie die het mogelijk maakt om beelden van een webcam vast te leggen. Het biedt zoom- en verschillende kleurinstellingsopties.  
De Cam-Viewer is geïntegreerd in USA, zodat USA de instellingen kan configureren en het kan starten en stoppen via USA-sneltoetsen.

* **Cameraselectie**: Selecteer de camera die de Cam-Viewer moet weergeven
* **Cam-Viewer grijswaarden**: Schakel grijswaarden in op de Cam-Viewer
* **Cam-Viewer omgekeerd**: Schakel om naar een negatief beeld op de Cam-Viewer
* **Cam-Viewer helderheid**: Stel de helderheid in op de Cam-Viewer. Standaard is nul
* **Cam-Viewer contrast**: Stel het contrast in op de Cam-Viewer. Standaard is nul
* **Cam-Viewer kleuroffset**: Stel het kleuroffset in op de Cam-Viewer: zwart is de standaard

### A4U ReadAble

De A4U ReadAble maakt het gemakkelijker om visuele inhoud te openen en te bekijken. Momenteel worden alleen webpagina's ondersteund.  
De functionaliteit omvat:

* Vermindering van de complexiteit van de weergegeven inhoud
* Aanpassing van tekst, kleur en lettertype
* Verschillende tekstlees- en weergavemodi

De A4U ReadAble kan worden gestart via een USA-sneltoets. Als een webbrowser het huidige voorgrondvenster is, wordt de momenteel weergegeven website geopend in de A4U ReadAble.

### De USA Rotor

* Biedt een gemakkelijke en intuïtieve manier om toegang te krijgen tot de belangrijkste instellingen met slechts twee sneltoetscombinaties
* Drie verschillende wijzigingsmodi, navigeerbaar met Page Up/Down:
    * **Algemene Instellingen**: Vergroot- en verklein het vergrotingsniveau, wissel tussen kleurenschema- en vergrootglasmodusopties
    * **Venster herschaal modus**: Wijzig de grootte van het gedockte/lens vergrootglasvenster, verplaats de splitsingsrand van het vergrootglas
    * **enster verplaats modus**: Verplaats het gedockte/lens vergrootglasvenster
* In de Algemene Instellingen-modus:
    * **NVDA + Alt + Links/Rechts-pijltoetsen**: Navigeer door de instellingen
    * **NVDA + Alt + Omhoog/Omlaag-pijltoetsen**: Vergroot/Verklein het vergrotingsniveau, wissel tussen de opties van de geselecteerde instelling
* In de Vergrootglasvenster wijzigen of Venster verplaatsen-modus:
    * **NVDA + Alt + Pijltoetsen**: Wijzig de grootte of verplaats het gedockte/lens venster of verplaats de splitsingsrand

### Vergrootglas venster wijziging

* Sneltoets om de grootte en positie van de vergrotingsvensters te wijzigen: **NVDA + Control + Alt + Pijltoetsen**
* Verschillend gedrag afhankelijk van de actieve vergrootglasmodus:
    * **Split**: Verplaats de splitsingsrand
    * **Gedockt, Lens en Resizing Lens**:
        * In **Venster verplaats modus (NVDA + Alt + P)**: Verplaats het venster
        * In **Venster herschaal modus (NVDA + Control + Alt + R)**: Wijzig de grootte van het venster

### USA licentie

Voor gebruik van USA dien je te beschikken over een geldige licentiecode. Per licentiecode is het mogelijk om USA tot drie keer te activeren.

Wanneer je beschikt over een geldige licentiecode, kun je deze invoeren door binnen het tabblad "Vision" van de NVDA-instellingen te kiezen voor de optie "USA licentie beheren..."
In dit venster volstaat het om de licentiecode in te voeren en te kiezen voor OK, waarna de licentie geactiveerd wordt. Via de zelfde werkwijze is de licentie ook weer te deactiveren, bijvoorbeeld wanneer het wenselijk is om USA van de computer te verwijderen.

### Offline Activatie

USA biedt ook een offline activatie aan. Hiermee kan de gebruiker dmv het instantie ID en de licentie code een activatie code aanvragen via <support@babbage.com>. Hiermee kan USA dan gebruikt worden zonder dat deze online gecontroleerd hoeft te worden.

## Sneltoetsen

Binnen USA zijn specifieke sneltoetsen toegewezen om de functionaliteit aan te passen.

De sneltoetsen kunnen worden aangepast via het NVDA-menu. Selecteer "Opties" en daarna "Invoerhandelingen". De USA-sneltoetsen zijn te vinden onder de categorie "Ultimate Screen Access".
Voor meer informatie over de werking van het "Invoerhandelingen"-dialoogvenster kunt u de NVDA-handleiding raadplegen.

Om altijd een up-to-date lijst van sneltoetsen te krijgen, gebruik de functionaliteit NVDA-menu -> Ultimate Screen Access -> Sneltoetsen. Dit maakt een HTML-document aan met een lijst van alle ondersteunde sneltoetsen en opent dit in uw standaardwebbrowser. Deze lijst bevat ook alle NVDA-sneltoetsen. Als een functionaliteit meer dan 3 sneltoetsen heeft, toont de lijst alleen de eerste drie. Verder worden aanrakinggebaren uitgesloten, met uitzondering van de sectie "Touchscreen".

USA-sneltoetsen met complexere functionaliteiten, bijvoorbeeld de USA Rotor of de sneltoetsen voor Vergrotingsvensterbewerking, worden in meer detail uitgelegd in de sectie "Andere functies en instellingen" van dit document.

## Beperkingen en bekende problemen

Ultimate Screen Access is een product dat continu in ontwikkeling is. Daardoor kan het voorkomen dat sommige gewenste functionaliteit (nog) niet in het product aanwezig is. Bij het gebruik van USA dien je rekening te houden met de volgende bekende beperkingen:

* Het tegelijkertijd activeren van de splitsmodus op twee of meer schermen vermindert merkbaar de prestaties en responsiviteit.
* Het inschakelen van Altijd alle schermen bijwerken vermindert merkbaar de prestaties.